Subject: bug#62825: 29.0.90; c-ts-mode doesn't recognize DEFUN functions

From: Yuan Fu <[email-masked]>
Date: Sat, 15 Apr 2023 22:37:02 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Yuan Fu <[email-masked]>
>> Date: Fri, 14 Apr 2023 13:19:41 -0700
>> Cc: Theodor Thornhill <[email-masked]>,
>>  [email-masked]
>> 
>> Ok, I fixed indent-defund and add-log. Because a DEFUN is made of
>> two nodes in the parse tree rather than one, it’s a bit hard to
>> incorporate it into the normal treesit-defun-at-point, etc,
>> functions. And we probably have to fix DEFUN case-by-case.
>
> Thanks.  But I wonder why do we need the c-ts-mode-emacs-devel knob.
> Why not recognize DEFUN by default everywhere?  CC Mode does that,
> AFAIK, so why shouldn't c-ts-mode do the same?

I just thought the fix is a bit hacky, and does add some overhead, so
people who don’t need it might not be happy to know that they can’t turn
it off.

Yuan